%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   ExtUtils-XSpp
%define modv   0.16
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A C++ layer for Perl XS
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MB/MBARBON/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Mattia Barbon <mbarbon@users.sourceforge.net>
Provides:      perl(ExtUtils::XSpp) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(ExtUtils::ParseXS) >= 2.2202
BuildRequires: perl >= 5.6.1
BuildRequires: perl(Digest::MD5) >= 2.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.2202
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
XS++ (XSpp) is a thin layer over plain Perl XS. This means that typemaps are
needed, for both the normal XS pre-processor xsubpp and the XS++ pre-processor
xspp.


%prep
%setup -q -n %{modn}-%{modv}

# Use ExtUtils::ParseXS' xsubpp
%{__perl} -i -pe "s+\'xsubpp\'+\'%{perl_vendorlib}/%{modp}/xsubpp\'+" \
	lib/%{modp}/XSpp/Cmd.pm


%build
%{__perl} Build.PL \
	--installdirs vendor

./Build


%check
./Build test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

./Build pure_install \
	--destdir ${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/xspp
%{perl_vendorlib}/%{modp}
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Tue Apr 05 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.16-1
- New version (0.16)

* Fri Dec 03 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.15-2
- Force use of ExtUtils::ParseXS' xsubpp

* Tue Nov 30 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.15-1
- Initial build
